Bug 837810 - [abrt] the-board-0.1.3-7.fc17: __pthread_mutex_lock: Process /usr/libexec/the-board-start was killed by signal 11 (SIGSEGV)
[abrt] the-board-0.1.3-7.fc17: __pthread_mutex_lock: Process /usr/libexec/the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: the-board (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:d592efea25a1cfa031adc6dfd07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 07:08 EDT by Dênis Caberlon
Modified: 2013-08-01 00:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.67 KB, text/plain)
2012-07-05 07:08 EDT, Dênis Caberlon
no flags Details
File: maps (71.09 KB, text/plain)
2012-07-05 07:08 EDT, Dênis Caberlon
no flags Details
File: dso_list (15.70 KB, text/plain)
2012-07-05 07:08 EDT, Dênis Caberlon
no flags Details
File: build_ids (4.56 KB, text/plain)
2012-07-05 07:08 EDT, Dênis Caberlon
no flags Details

  None (edit)
Description Dênis Caberlon 2012-07-05 07:08:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/the-board-start
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/the-board-start
kernel:         3.4.4-3.fc17.x86_64
pid:            24855
pwd:            /home/caberlon
time:           Dom 01 Jul 2012 22:01:37 BRT
uid:            1000
username:       caberlon
xsession_errors: 

backtrace:      Text file, 40620 bytes
build_ids:      Text file, 4674 bytes
dso_list:       Text file, 16075 bytes
maps:           Text file, 72797 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/caberlon/2

core_backtrace:
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x9b20 pthread_mutex_lock libpthread.so.0 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x4b107 XrmQGetResource libX11.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x27842 XGetDefault libX11.so.6 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x5a4a7 - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x4e8e9 - libgdk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1f0a5d - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16fee g_object_get_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x17477 g_object_get libgobject-2.0.so.0 -
:c50b6cf63f265505680f55590f7d198587ef2191 0x6d7d - libclutter-gtk-1.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2ab842 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2006e1 gtk_style_context_invalidate libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2ae7a3 gtk_widget_get_path libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2ae86a - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2ae902 gtk_widget_reset_style libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1fd4c8 gtk_style_context_reset_widgets libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1ede28 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20003 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x14025 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x158fb g_object_notify libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1f12f3 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17aa0d gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x22ead - libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x243d3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd63a3 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d96f JS_EvaluateUCScriptForPrincipals libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4dc62 JS_EvaluateUCScript libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x12da7 gjs_context_eval libgjs.so.0 -
:ea51f1c0ca0bfcdadd805cbe934ab213899904ab 0x10bc main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=hpcaberlon.ditrento.com.br
:GIO_LAUNCHED_DESKTOP_FILE_PID=24852
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/caberlon/keyring-BlhLyo/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1257-hpcaberlon.ditrento.com.br-the-board-29_TIME14372280
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/caberlon/keyring-BlhLyo
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=caberlon
:FONTCONFIG_FILE=/usr/share/the-board/fonts.conf
:LD_LIBRARY_PATH=
:SSH_AUTH_SOCK=/run/user/caberlon/keyring-BlhLyo/ssh
:GJS_PATH=/usr/share/the-board/js
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1027,unix/unix:/tmp/.ICE-unix/1027
:USERNAME=caberlon
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/the-board.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/caberlon/.local/bin:/home/caberlon/bin
:MAIL=/var/spool/mail/caberlon
:QT_IM_MODULE=xim
:PWD=/home/caberlon
:XMODIFIERS=@im=none
:LANG=pt_BR.UTF-8
:GNOME_KEYRING_PID=1023
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/caberlon
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=caberlon
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-zYviOzjCnY,guid=fcfddbc34696dd601a089cd800000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/caberlon
:XAUTHORITY=/var/run/gdm/auth-for-caberlon-gM6HnH/database
:_=/usr/libexec/the-board-start

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30329                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30329                30329                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/caberlon/.xsession-errors
:pos:	1891765
:flags:	0102002
:2:/home/caberlon/.xsession-errors
:pos:	1891765
:flags:	0102002
:3:socket:[1942163]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1942166]
:pos:	0
:flags:	02004002
:6:/dev/dri/card0
:pos:	0
:flags:	0100002
:7:socket:[1941109]
:pos:	0
:flags:	02004002
:8:socket:[1941110]
:pos:	0
:flags:	02004002
:9:/tmp/ffi576mwD (deleted)
:pos:	0
:flags:	0100002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Jul  1 22:01:36 hpcaberlon kernel: [17914.237907] the-board-start[24855] general protection ip:3ffc409b20 sp:7fff9ad47488 error:0 in libpthread-2.15.so[3ffc400000+16000]
:Jul  1 22:01:41 hpcaberlon abrt[28946]: Saved core dump of pid 24855 (/usr/libexec/the-board-start) to /var/spool/abrt/ccpp-2012-07-01-22:01:37-24855 (63209472 bytes)
Comment 1 Dênis Caberlon 2012-07-05 07:08:13 EDT
Created attachment 596380 [details]
File: backtrace
Comment 2 Dênis Caberlon 2012-07-05 07:08:15 EDT
Created attachment 596381 [details]
File: maps
Comment 3 Dênis Caberlon 2012-07-05 07:08:17 EDT
Created attachment 596382 [details]
File: dso_list
Comment 4 Dênis Caberlon 2012-07-05 07:08:19 EDT
Created attachment 596383 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-07-03 20:26:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 00:09:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.